### Function

# Gegl filter_op_valist

since: 0.4

#### Declaration [src]

    GeglBuffer*
    gegl_filter_op_valist (
      GeglBuffer* source_buffer,
      const gchar* operation_name,
      va_list var_args
    )

#### Description [src]

Apply the operation to source_buffer, returning the result in a new buffer.

Available since: 0.4

This function is not directly available to language bindings.

#### Parameters

`source_buffer`

  Type: `GeglBuffer`

  The source `GeglBuffer` for the filter.

  The data is owned by the caller of the function.

`operation_name`

  Type: `const gchar*`

  Name of the operation to apply.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`var_args`

  Type: `va_list`

  The settings for the operation. Zero or more key/value pairs, ended terminated with NULL.

#### Return value

Type: `GeglBuffer`

The result of the filter.

The caller of the function takes ownership of the data, and is responsible for freeing it.